package com.zcloud.service.risk.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.risk.IdentificationPartsMapper;
import com.zcloud.service.risk.IdentificationPartsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：辨识部位
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class IdentificationPartsServiceImpl implements IdentificationPartsService {

	@Autowired
	private IdentificationPartsMapper identificationpartsMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		identificationpartsMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		identificationpartsMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		identificationpartsMapper.edit(pd);
	}


	/**修改匹配资源库状态
	 * @param pd
	 * @throws Exception
	 */
	public void editMatching(PageData pd)throws Exception{
		identificationpartsMapper.editMatching(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return identificationpartsMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByList(PageData pd)throws Exception{
		return identificationpartsMapper.listAllByList(pd);
	}

	/**获取BI统计数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getBiCount(PageData pd)throws Exception{
		return identificationpartsMapper.getBiCount(pd);
	}
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllByIdens(PageData pd)throws Exception{
		return identificationpartsMapper.listAllByIdens(pd);
	}
	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return identificationpartsMapper.listAll(pd);
	}
	public List<PageData> listOut(PageData pd)throws Exception{
		return identificationpartsMapper.listOut(pd);
	}

	/**列表(首页)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listIndexAll(PageData pd)throws Exception{
		return identificationpartsMapper.listIndexAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return identificationpartsMapper.findById(pd);
	}
	/**通过名称获取数据
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByName(PageData pd)throws Exception{
		return identificationpartsMapper.findByName(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		identificationpartsMapper.deleteAll(ArrayDATA_IDS);
	}

}

